# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate libgit2-sys

Name:           rust-%{crate}
Version:        0.7.11
Release:        1%{?dist}
Summary:        Native bindings to the libgit2 library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libgit2-sys
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Doesn't seem to be upstreamable
Patch0:         0001-build.rs-always-use-pkg-config.patch

# The bundled libgit2 is a snapshot from master, after 0.27 branched, and
# adds the field "include_depth" to "struct git_config_entry".  We need to
# remove that to match our system libgit2-0.27 instead
Patch1:         rust-libgit2-sys-no-include_depth.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(cc/default) >= 1.0.25 with crate(cc/default) < 2.0.0)
BuildRequires:  (crate(curl-sys/default) >= 0.4.10 with crate(curl-sys/default) < 0.5.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(libssh2-sys/default) >= 0.2.11 with crate(libssh2-sys/default) < 0.3.0)
BuildRequires:  (crate(libz-sys/default) >= 1.0.22 with crate(libz-sys/default) < 2.0.0)
BuildRequires:  (crate(openssl-sys/default) >= 0.9.0 with crate(openssl-sys/default) < 0.10.0)
BuildRequires:  (crate(pkg-config/default) >= 0.3.0 with crate(pkg-config/default) < 0.4.0)
BuildRequires:  (pkgconfig(libgit2) >= 0.27 with pkgconfig(libgit2) < 0.28)

%global _description \
Native bindings to the libgit2 library.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       (pkgconfig(libgit2) >= 0.27 with pkgconfig(libgit2) < 0.28)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+curl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+curl-devel %{_description}

This package contains library source intended for building other packages
which use "curl" feature of "%{crate}" crate.

%files       -n %{name}+curl-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+curl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+curl-sys-devel %{_description}

This package contains library source intended for building other packages
which use "curl-sys" feature of "%{crate}" crate.

%files       -n %{name}+curl-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+https-devel %{_description}

This package contains library source intended for building other packages
which use "https" feature of "%{crate}" crate.

%files       -n %{name}+https-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+libssh2-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libssh2-sys-devel %{_description}

This package contains library source intended for building other packages
which use "libssh2-sys" feature of "%{crate}" crate.

%files       -n %{name}+libssh2-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages
which use "openssl-sys" feature of "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+ssh-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh-devel %{_description}

This package contains library source intended for building other packages
which use "ssh" feature of "%{crate}" crate.

%files       -n %{name}+ssh-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+ssh_key_from_memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh_key_from_memory-devel %{_description}

This package contains library source intended for building other packages
which use "ssh_key_from_memory" feature of "%{crate}" crate.

%files       -n %{name}+ssh_key_from_memory-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -N
# Bundled deps
rm -vrf libgit2
%autopatch -p2
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Dec 15 2018 Josh Stone <jistone@redhat.com> - 0.7.11-1
- Update to 0.7.11

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.10-2
- Adapt to new packaging

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 0.7.10-1
- Update to 0.7.10

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.7.8-1
- Update to 0.7.8

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.7.7-2
- Fix the devel Requires

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.7.7-1
- Update to 0.7.7

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.19-1
- Update to 0.6.19

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.18-2
- Rebuild for rust-packaging v5

* Sun Dec 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.18-1
- Update to 0.6.18

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.17-1
- Update to 0.6.17

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.16-2
- Fix end-of-line

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.16-1
- Initial package
